org.cpsolver.ifs.util

## Class CSVFile.CSVLine

- java.lang.Object
- - org.cpsolver.ifs.util.CSVFile.CSVLine

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CSVFile

      public class CSVFile.CSVLine
      extends Object
      implements Serializable

  Representation of a line of a CSV file
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVLine()`
    `CSVLine(Collection<CSVFile.CSVField> fields)`
    `CSVLine(CSVFile.CSVField[] fields)`
    `CSVLine(String line)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(int offset, PrintWriter out)`
    `Iterator<CSVFile.CSVField>` | `fields()`
    `CSVFile.CSVField` | `getField(int idx)`
    `CSVFile.CSVField` | `getField(String name)`
    `List<CSVFile.CSVField>` | `getFields()`
    `boolean` | `isEmpty()`
    `void` | `setField(int idx, CSVFile.CSVField field)`
    `void` | `setField(String name, CSVFile.CSVField field)`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSVLine

          public CSVLine(String line)

    - #### CSVLine

          public CSVLine()

    - #### CSVLine

          public CSVLine(CSVFile.CSVField[] fields)

    - #### CSVLine

          public CSVLine(Collection<CSVFile.CSVField> fields)

  - ### Method Detail

    - #### getFields

          public List<CSVFile.CSVField> getFields()

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### getField

          public CSVFile.CSVField getField(int idx)

    - #### setField

          public void setField(int idx,
                               CSVFile.CSVField field)

    - #### fields

          public Iterator<CSVFile.CSVField> fields()

    - #### getField

          public CSVFile.CSVField getField(String name)

    - #### setField

          public void setField(String name,
                               CSVFile.CSVField field)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### debug

          public void debug(int offset,
                            PrintWriter out)